<?xml version="1.0" encoding="utf-8"?>
<rougail version="0.10">
  <services>
    <service name="base" manage="False">
      <file engine="none">/etc/locale.conf</file>
    </service>
  </services>
  <variables>
    <variable name="hide_secret" type="boolean" description="Les secrets sont obscurcis" mode="expert" help="Obscurcir les secrets peut permettre de générer des configurations diffusable sans problème de confidentialité ou pour comparer deux configurations générés à des moments différents" hidden="True">
      <value>False</value>
    </variable>
    <variable name="module_name" type="string" hidden="True" provider="global:module_name" mandatory="True"/>
    <family name="network" description="Réseau">
      <variable name="server_name" description="Nom de domaine du serveur" type="domainname" hidden="True" provider="global:server_name" mandatory="True"/>
      <variable name="zones_list" type="string" multi="True" description="Liste de toutes les zones" mandatory="True" hidden="True" provider="global:zones_name"/>
      <variable name="interfaces_list" type="number" multi="True" description="Liste de tous les numéros d'interfaces" hidden="True" provider="global:zones_list"/>
      <family name="interface_" description="Interface " dynamic="interfaces_list">
        <variable name="zone_name_eth" type="string" description="Nom de la zone de l'interface " hidden="True" mandatory="True"/>
        <variable name="ip_eth" type="ip" description="Adresse IP pour l'interface " hidden="True" mandatory="True"/>
        <variable name="network_eth" type="network_cidr" description="Réseau de l'interface " hidden="True"/>
        <variable name="gateway_eth" type="ip" description="La route de l'interface " hidden="True"/>
        <variable name="domain_name_eth" type="domainname" description="Nom de domaine pour l'interface " mandatory="True" hidden="True" provider="global:server_names"/>
      </family>
    </family>
  </variables>
  <constraints>
    <fill name="get_ip">
      <param type="information">zones</param>
      <param name="server_name" type="variable">domain_name_eth</param>
      <target>ip_eth</target>
    </fill>
    <fill name="get_zone_name">
      <param type="variable">zones_list</param>
      <param name="index" type="suffix"/>
      <target>zone_name_eth</target>
    </fill>
    <fill name="get_zones_info">
      <param type="information">zones</param>
      <param>network</param>
      <param type="variable" name="zone_name">zone_name_eth</param>
      <target>network_eth</target>
    </fill>
    <fill name="get_zones_info">
      <param type="information">zones</param>
      <param>host_ip</param>
      <param type="variable" name="zone_name">zone_name_eth</param>
      <param name="index" type="suffix"/>
      <target>gateway_eth</target>
    </fill>
  </constraints>
</rougail>

